Package org.apache.lucene.util

## Interface IOUtils.IOFunction<T,​R>

- All Known Subinterfaces:
    `IOFunction<T,​R>`
  Enclosing class:
    IOUtils
  Functional Interface:
    This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

      @FunctionalInterface
      @Deprecated(forRemoval=true,
                  since="9.1")
      public static interface IOUtils.IOFunction<T,​R>

  Deprecated, for removal: This API element is subject to removal in a future version.
  was replaced by `IOFunction`.
  A Function that may throw an IOException
  See Also:
    `Function`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `R` | `apply​(T t)` | Deprecated, for removal: This API element is subject to removal in a future version. Applies this function to the given argument.

- - ### Method Detail

    - #### apply

          R apply​(T t)
           throws IOException

      Deprecated, for removal: This API element is subject to removal in a future version.
      Applies this function to the given argument.
      Throws:
        `IOException`